<template>
  <div>
    <!-- section header promotion -->
    <div class="header_style" v-if="data.section_menu_promotion">
      <div v-if="data.section_menu_promotion.promotion_page">
        <img
          :src="data.section_menu_promotion.promotion_page.value"
          class="header_style img-fluid"
        />
      </div>
    </div>
    <!-- section banner promotion -->
    <div class="d-none d-md-block">
      <div class="container" v-if="data.section_menu_promotion">
        <div
          class="text-center mt-5"
          v-if="data.section_menu_promotion.header_menu_promotion"
        >
          <h1>{{ data.section_menu_promotion.header_menu_promotion.value }}</h1>
        </div>
        <div v-if="data.section_menu_promotion.banner_promotionmenu">
          <img
            class="img-fluid mt-5"
            :src="data.section_menu_promotion.banner_promotionmenu.value"
          />
          <img
            class="img-fluid mt-5"
            :src="data.section_menu_promotion.banner_promotionmenu2.value"
          />
          <img
            class="img-fluid mt-5"
            :src="data.section_menu_promotion.banner_promotionmenu3.value"
          />
        </div>
      </div>
    </div>
    <!-- section mobile  -->
    <div class="d-block d-md-none">
      <div class="container">
        <div v-if="data.section_menu_promotion.banner_promotion_menu_mobile">
          <img
            class="img-fluid mt-5"
            :src="data.section_menu_promotion.banner_promotion_menu_mobile.value"
          />
      </div>
      <div v-if="data.section_menu_promotion.banner_promotion_menu_mobile">
          <img
            class="img-fluid mt-5"
            :src="data.section_menu_promotion.banner_promotion_menu_mobile.value"
          />
      </div>
    </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      data: {
        section_menu_promotion: [],
      },
      isloadding: false,
    };
  },
  async beforeMount() {
    this.GetData();
  },
  methods: {
    isFormat(temp, current) {
      for (let key in temp) {
        if (!Object.keys(current).includes(key)) {
          return false;
        }
      }
      return true;
    },
    async addStyle() {
      for (const [key, v] of Object.entries(this.data)) {
        if (typeof v === "object") {
          for (const [k, val] of Object.entries(v)) {
            if (val.type == "color") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                val.value
              );
            } else if (val.type == "image") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                `url(${val.value})`
              );
            }
          }
        }
      }
    },
    async GetData() {
      try {
        // const url = "http://" + window.location.host + "/get.php";
        // let {data} = await this.$axios.get('/get.php?code_name='+md5);
        this.isloadding = true;
        let { data } = await this.$axios.get("/get_winbet97.json");

        // let { data } = await this.$axios.get(
        //   "https://admin-static-api-ehhif4jpyq-as.a.run.app/api/Static/ab1e389ef2852fb41d6d3c68fb252370"
        // );

        this.data = await this.mapSectionData(data);
        if (this.data) {
          this.addStyle();
        }
        this.componentKey += 1;
        this.isloadding = false;

        // console.log("this.isloadding ", this.isloadding);
        return true;
      } catch (error) {
        console.log(error);
        const { response } = error;
        if (response) {
          const { status } = response;
          if (!status) {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            return false;
          } else if (status === 200) {
            console.log("Error is ok");
          } else if (status === 404) {
            this.$router.push({
              path: "/404",
              query: { message: response.data.message },
            });
            console.log("is invalid or not found");
            // this.$swal("is invalid or not found");
            return false;
          } else {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            // console.log(" is under maintainance with custom message");
            // this.$swal("is under maintainance with custom message");
            return false;
          }
        } else {
          console.log(error);
          this.$router.push({
            path: "/400",
            query: { message: "server is not responding" },
          });
          // this.$swal("is invalid or not found 3");
          return false;
        }

        // console.log("500");
      }
    },

    mapSectionData(data) {
      for (let key in data) {
        if (typeof data[key] === "object") {
          data[key] = data[key].reduce(function (map, value) {
            map[value.name] = value;
            return map;
          }, {});
        }
      }
      return data;
    },
  },
};
</script>
